Arbor 3: FSM & BT Graph Editor 3.7.7

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRect Class Reference

Class to handle a flexible Rect type reference method there is more than one. More...

Inheritance diagram for FlexibleRect:

## Public Member Functions
| FlexibleRect ()
| FlexibleRect default constructor More...
| FlexibleRect (Rect value)
| FlexibleRect constructor More...
| FlexibleRect (RectParameterReference parameter)
| FlexibleRect constructor More...
| FlexibleRect (InputSlotRect slot)
| FlexibleRect constructor More...
Public Member Functions inherited from FlexibleField< Rect >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator Rect (FlexibleRect flexible)
| Cast FlexibleRect to Rect. More...
static | operator FlexibleRect (Rect value)
| Cast Rect to FlexibleRect. More...
Static Public Member Functions inherited from FlexibleField< Rect >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Rect >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< Rect >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Rect type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleRect() [1/4]

FlexibleRect | ( |  | ) |

FlexibleRect default constructor

## ◆ FlexibleRect() [2/4]

FlexibleRect | ( | Rect | value | ) |

FlexibleRect constructor

Parameters

  value | Value

## ◆ FlexibleRect() [3/4]

FlexibleRect | ( | RectParameterReference | parameter | ) |

FlexibleRect constructor

Parameters

  parameter | Parameter

## ◆ FlexibleRect() [4/4]

FlexibleRect | ( | InputSlotRect | slot | ) |

FlexibleRect constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ operator FlexibleRect()

static operator FlexibleRect | ( | Rect | value | ) |
| explicit static

Cast Rect to FlexibleRect.

Parameters

  value | Rect

## ◆ operator Rect()

static operator Rect | ( | FlexibleRect | flexible | ) |
| explicit static

Cast FlexibleRect to Rect.

Parameters

  flexible | FlexibleRect